# eric4.Preferences.ConfigurationPages.EditorFilePage

Module implementing the Editor General configuration page.

### Global Attributes

None

### Classes

EditorFilePage | Class implementing the Editor File configuration page.

### Functions

create | Module function to create the configuration page.

## EditorFilePage

Class implementing the Editor File configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorFilePage

### Class Attributes

None

### Methods

EditorFilePage | Constructor
save | Public slot to save the Editor General configuration.

#### EditorFilePage (Constructor)

EditorFilePage()

Constructor

#### EditorFilePage.save

save()

Public slot to save the Editor General configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up